Qt 5.6 | Qt 3D | C++ Classes | QParameterMapping

Qt 5.6.3 Reference Documentation

# QParameterMapping Class

(Qt3DRender::QParameterMapping)

The QParameterMapping class provides ... More...

Header: | #include <QParameterMapping>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | ParameterMapping
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Public Types

enum | Binding { Uniform, Attribute, StandardUniform, FragmentOutput, UniformBufferObject, ShaderStorageBufferObject }

## Properties

- bindingType : Binding
- parameterName : QString
- shaderVariableName : QString

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QParameterMapping(Qt3DCore::QNode *parent = Q_NULLPTR)
| QParameterMapping(const QString &parameterName, const QString &shaderParameterName, QParameterMapping::Binding bindingType, Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QParameterMapping()
Binding | bindingType() const
QString | parameterName() const
QString | shaderVariableName() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setBindingType(Binding type)
void | setParameterName(const QString &name)
void | setShaderVariableName(const QString &name)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | bindingTypeChanged(Binding bindingType)
void | parameterNameChanged(const QString &parameterName)
void | shaderVariableNameChanged(const QString &shaderVariableName)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QParameterMapping(QParameterMappingPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

The QParameterMapping class provides ...

## Member Type Documentation

### enum QParameterMapping::Binding

Constant | Value
--- | ---
`Qt3DRender::QParameterMapping::Uniform` | `0`
`Qt3DRender::QParameterMapping::Attribute` | `1`
`Qt3DRender::QParameterMapping::StandardUniform` | `2`
`Qt3DRender::QParameterMapping::FragmentOutput` | `3`
`Qt3DRender::QParameterMapping::UniformBufferObject` | `4`
`Qt3DRender::QParameterMapping::ShaderStorageBufferObject` | `5`

## Property Documentation

### bindingType : Binding

Access functions:

Binding | bindingType() const
void | setBindingType(Binding type)

Notifier signal:

void | bindingTypeChanged(Binding bindingType)

### parameterName : QString

Access functions:

QString | parameterName() const
void | setParameterName(const QString &name)

Notifier signal:

void | parameterNameChanged(const QString &parameterName)

### shaderVariableName : QString

Access functions:

QString | shaderVariableName() const
void | setShaderVariableName(const QString &name)

Notifier signal:

void | shaderVariableNameChanged(const QString &shaderVariableName)

## Member Function Documentation

### QParameterMapping::QParameterMapping(Qt3DCore::QNode *parent = Q_NULLPTR)

Constructs a new QParameterMapping with the specified parent.

### QParameterMapping::QParameterMapping(const QString &parameterName, const QString &shaderParameterName, QParameterMapping::Binding bindingType, Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QParameterMapping.

### `[protected]` QParameterMapping::QParameterMapping(QParameterMappingPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QParameterMapping::~QParameterMapping()

Destroys the instance of QParameterMapping.

### `[protected]` void QParameterMapping::copy(const Qt3DCore::QNode *ref)

Copies the ref instance into this one.